Subject: bug#68693: 26.3; (elisp) `Profiling': Say how to use (e.g. read) a saved profile

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Jan 2024 09:33:56 +0200

> From: Drew Adams <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Wed, 24 Jan 2024 22:05:10 +0000
> 
> > > > Thanks, fixed on the emacs-29 branch.
> > > >
> > > > Use "M-x profiler-find-profile".
> > >
> > > Thx.  A suggestion would be to also add
> > > that to the menu-bar menu (if you didn't
> > > also do that just now).
> > 
> > I don't think it should be on the menu, for the same reason it doesn't
> > have a key binding: this is a relatively rare command, used only be
> > people who for some reason receive profiles from others.  Saving a
> > profile, by contrast, is a much more frequent operation.
> 
> I guess I don't understand why.  Why would
> you save a profile if you don't want to
> later access it?

You'd save a profile if you want to send it to someone else, or post
it in its raw form as part of a bug report.  If you want to just save
it for yourself, you can save its textual representation via
write-region.  Then it will be a text file that you can look at with
any text viewer.

> If you delete a profiler report buffer then
> you have to profile all over again, to
> revisit it.

No, see above.

> I haven't been using profiler, so I don't
> really understand its use, I guess.  What
> am I missing?  Why is saving a frequent
> operation but using (revisiting) a saved
> profile is rare?

I tried to explain that, see above.